Subject: bug#32103: 26.1; secrets-search-items broken on type error

From: Michael Albinus <[email-masked]>
Date: Mon, 09 Jul 2018 17:01:25 +0200

Allen Li <[email-masked]> writes:

Hi Allen,

> I think there is a regression in secrets-search-items.  I have
> encountered it multiple times, and I am filing a bug now that I'm
> convinced it is not a transitory problem.
>
> It seems like the dbus-call-method call either changed or regressed.
> Evaluating the following (referring to the Emacs D-Bus info manual) does
> not return an error:
>
> (dbus-call-method :session "org.freedesktop.secrets"
> "/org/freedesktop/secrets/collection/login"
> "org.freedesktop.Secret.Collection" "SearchItems" '(:array
> (:dict-entry "host" "smtp.gmail.com") (:dict-entry "port" "587")))
>
> Note that the :dict-entry are wrapped in lists.  This is what the info
> manual says is correct.

This is bug#31846. It is fixed already in the emacs-26 git repository,
but this was too late for the release. You might rebuild the emacs-26
branch in your local git environment; alternatively you could apply
<http://git.savannah.gnu.org/cgit/emacs.git/patch/?id=4753d79331f747001ebdbbe9c32b33597daab37f>.

Sorry for the inconvenience. Best regards, Michael.